## aewm++-goodies 1.0

=== ae_fspanel-1.0/Makefile ===
CC = gcc
prefix=/usr
C_FLAGS = -DNOSTDLIB -DHAVE_XPM -Wall -I/usr/X11R6/include -m386 -malign-loops=2 -malign-jumps=2 -malign-functions=2
L_FLAGS = -O1 -Xlinker -s -L/usr/X11R6/lib -lX11 -lXpm
PROGNAME = ae_fspanel

$(PROGNAME): Makefile ae_fspanel.c ae_fspanel.h icon.xpm
	$(CC) $(C_FLAGS) $(L_FLAGS) ae_fspanel.c -o $(PROGNAME)
	@ls -l $(PROGNAME)

clean: 
	rm -f core *.o $(PROGNAME) nohup.out

install: $(PROGNAME)
	cp -r $(PROGNAME) $(DESTDIR)$(prefix)/bin

=== appbar-1.0/Makefile ===
CC        = g++
CFLAGS    = -g -O2 -Wall
prefix     = /usr
INCLUDES  = -I$(prefix)/include
LIBS      = -lX11 -lXext -lXpm 
LDPATH    = -L/usr/X11R6/lib

PROG      = appbar
DEFINES   = #-DDEBUG

OBJS      = main.o appbar.o scanner.o icon.o linkedlist.o image.o

all: $(PROG) 

$(PROG): $(OBJS)
	$(CC) $(OBJS) $(LDPATH) $(LIBS) -o $@

$(OBJS): %.o: %.cc $(HEADERS)
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -c $< -o $@

install: all
	install -s $(PROG) $(DESTDIR)$(prefix)/bin
	mkdir -p $(DESTDIR)/etc/X11/appbar
	mkdir -p $(DESTDIR)/usr/X11/share/appbar
	mkdir -p $(DESTDIR)/usr/X11/share/appbar/images
	cp appbar.rc $(DESTDIR)/etc/X11/appbar
	cp -r images/ $(DESTDIR)/usr/X11/share/appbar/

clean:
	rm -f $(PROG) $(OBJS) core

=== setrootimage-1.0/Makefile ===
CC        = g++
CFLAGS    = -g -O2 -Wall
prefix     = /usr
INCLUDES  = -I$(prefix)/include
LIBS      = -lX11 -lXext
LDPATH    = -L/usr/X11R6/lib

PROG      = setrootimage
#DEFINES   = -DDEBUG

OBJS      = setrootimage.o linkedlist.o image.o

all: $(PROG) 

$(PROG): $(OBJS)
	$(CC) $(OBJS) $(LDPATH) $(LIBS) -o $@

$(OBJS): %.o: %.cc $(HEADERS)
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -c $< -o $@

install: all
	install -s $(PROG) $(DESTDIR)$(prefix)/bin

clean:
	rm -f $(PROG) $(OBJS) core

=== debian/changelog ===
aewm++-goodies (1.0-10.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Chris Hofstaedtler ]
  * Fix redirection in postrm (Closes: #908256)

  [ Vagrant Cascadian ]
  * debian/rules: Add -ffile-prefix-map to CFLAGS to avoid embedding build paths.
    (Closes: #1020810)

  [ Stefan Potyra ]
  * Fix FTBFS with --as-needed (Closes: #607538)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 24 Jan 2025 01:10:50 +0100

aewm++-goodies (1.0-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 source format (Closes: #953994, #1007606).

 -- Bastian Germann <bage@debian.org>  Wed, 23 Nov 2022 19:21:56 +0100

aewm++-goodies (1.0-10) unstable; urgency=low

  * Accept patch for reproducible build, thanks Chris Lamb.
    (closes: #777282)
  * Accept Ubuntu fix for FTBFS with --as-needed, thanks
    Stefan Potyra.
  * Bump debhelper version to 9.
  * Bump Standards-Version to 3.9.7.0 including machine-readable
    debian/copyright file.
  * Remove debian/watch as this software is now unobtainable
    upstream.

 -- Chris Boyle <cmb@debian.org>  Mon, 13 Feb 2017 18:38:13 +0000

aewm++-goodies (1.0-9) unstable; urgency=low

  * Acknowledge NMU; thanks Luk. (closes: #470181)
  * Add missing comma in Depends.
  * Fix copyright-refers-to-versionless-license-file.
  * Update debian/watch. The upstream copy has disappeared from
    SourceForge; I've suggested that it be put on Google Code
    (where aewm++ now lives), so put that in the watch file.
    (closes: #529096)
  * Bump debhelper version to 7.
  * Don't strip in Makefiles; leave it to conditional dh_strip.
    (closes: #436375)
  * Bump Standards-Version to 3.8.1.0.
  * New menu location, File Management seems the closest fit for
    appbar and fspanel (they don't depend on aewm++). Reopen the
    bug if you can think of a better section. (closes: #496045)
  * Catch errors from make clean.
  * Use dh_prep, not dh_clean -k.
  * Quote tags in menu file.
  * Hush lintian wrong-name-for-upstream-changelog (there are
    several changelogs here; merging them would make them harder to
    read).

 -- Chris Boyle <cmb@debian.org>  Mon, 25 May 2009 06:34:21 +0100

aewm++-goodies (1.0-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #461726).
  * Add libxext-dev to the buid dependencies (Closes: #464603).

 -- Luk Claes <luk@debian.org>  Sun, 09 Mar 2008 18:43:46 +0000

aewm++-goodies (1.0-8) unstable; urgency=low

  * Oops. Update Build-Depends for Xorg. (closes: #346621)

 -- Chris Boyle <cmb@debian.org>  Thu, 16 Feb 2006 13:47:33 +0000

aewm++-goodies (1.0-7) unstable; urgency=low

  * Censored aewm++_fspanel manpage at a user's request. (closes: #291736)
  * Renamed binaries and manpages to aewm++_* for consistency.
    (closes: #291727)
  * Add "using namespace std;" where appropriate.

 -- Chris Boyle <cmb@debian.org>  Fri, 11 Mar 2005 14:05:43 +0000

aewm++-goodies (1.0-6) unstable; urgency=low

  * Fixed debian/watch file (sourceforge ftp layout).

 -- Chris Boyle <cmb@debian.org>  Sun, 28 Mar 2004 19:20:12 +0100

aewm++-goodies (1.0-5) unstable; urgency=low

  * Use debian/rules to fix really, really bad flags for ae_fspanel.
    (closes: #207021)

 -- Chris Boyle <cmb@debian.org>  Sun, 31 Aug 2003 20:28:34 +0100

aewm++-goodies (1.0-4) unstable; urgency=low

  * Force re-upload of everything, I don't know why tf it lost the 
    orig.tar.gz file...

 -- Chris Boyle <cmb@debian.org>  Sun, 17 Aug 2003 10:45:12 +0100

aewm++-goodies (1.0-3) unstable; urgency=low

  * Add pointer to /usr/share/common-licenses/GPL in copyright.
  * Add dh_shlibdeps call, which was completely missing, causing the
    Depends field to also be completely missing. Oops.
  * Thank you Randall Donald for pointing out both of these.

 -- Chris Boyle <cmb@debian.org>  Fri,  1 Aug 2003 06:44:31 +0100

aewm++-goodies (1.0-2) unstable; urgency=low

  * FFS... I knew I'd forget something. Sorry. (/me hangs head in lame)
    Conflicts: aewm++ (<< 1.0.24-1)

 -- Chris Boyle <cmb@debian.org>  Thu, 24 Jul 2003 10:33:30 +0100

aewm++-goodies (1.0-1) unstable; urgency=medium

  * Initial Release: upstream split this from aewm++, I am debianising
    the new separate package.
  * urgency=medium since a new aewm++ is waiting for this to exist and
    the one currently in the archive is about a year old.
  * Bumped standards-version from 3.5.8 to 3.6.0.
  * Set up debian/rules, lots moved from my aewm++ package.
  * Copied aewm++/Makefile from aewm++ too, since it's missing here!
  * Change #include <iostream> to #include <iostream.h> in several
    places, since the former no longer works.
  * Re-instated all four manpages.
  * Re-instated changes to appbar makefile (images location).
  * Building with pbuilder.
  * Stopped using dh_installchangelogs since it can't do multiple 
    changelogs.

 -- Chris Boyle <cmb@debian.org>  Thu, 24 Jul 2003 08:59:09 +0100

=== debian/control ===
Source: aewm++-goodies
Section: x11
Priority: optional
Maintainer: Chris Boyle <cmb@debian.org>
Build-Depends: debhelper (>= 9), libx11-dev, libxpm-dev, libxext-dev
Standards-Version: 3.9.7.0

Package: aewm++-goodies
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: aewm++ (<< 1.0.24-1)
Enhances: aewm++ (>= 1.0.24-1)
Description: utilities to complement a minimal window manager
 These utilities were previously supplied with aewm++; they are intended 
 to provide some of the typical desktop functionality that aewm++ itself 
 does not include. This package provides:
  * aewm++_appbar: a small application launcher
  * aewm++_fspanel: a very small panel
  * aewm++_setrootimage: draws a gradient on the X root window
  * aewm++_xsession: keeps an X session alive
 Note that some of these were named differently in previous releases.

=== debian/rules ===
#!/usr/bin/make -f
# Based on sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -Wno-deprecated -g

# Avoid embedding build path for reproducible builds
CFLAGS += -ffile-prefix-map=$(CURDIR)=.

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
	LDFLAGS += -O0
else
	CFLAGS += -O2
	LDFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
	IFLAGS += -s
endif
COMPILER_FLAGS= CFLAGS="$(CFLAGS)"

#configure: configure-stamp
#configure-stamp:
#	dh_testdir
#	# Nothing to do.
#	touch configure-stamp


build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: # configure-stamp 
	dh_testdir
	
	# Add here commands to compile the arch part of the package.
	$(MAKE) -C ae_fspanel-1.0 CFLAGS="$(CFLAGS)" C_FLAGS="-DNOSTDLIB -DHAVE_XPM -Wall -I/usr/X11R6/include" LDFLAGS="$(LDFLAGS)" L_FLAGS="-Xlinker -L/usr/X11R6/lib"
	$(MAKE) -C appbar-1.0 $(COMPILER_FLAGS)
	$(MAKE) -C setrootimage-1.0 $(COMPILER_FLAGS)
	$(MAKE) -C xsession $(COMPILER_FLAGS)

	cp ae_fspanel-1.0/README README.aewm++_fspanel
	cp ae_fspanel-1.0/Changelog Changelog.aewm++_fspanel
	cp appbar-1.0/README README.aewm++_appbar
	cp appbar-1.0/Changelog Changelog.aewm++_appbar
	cp setrootimage-1.0/README README.aewm++_setrootimage
	cp setrootimage-1.0/Changelog Changelog.aewm++_setrootimage
	cp xsession/README README.aewm++_xsession

	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp: # configure-stamp 
	# Nothing to do.

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp configure-stamp

	# clean up after the build process
	$(MAKE) -C ae_fspanel-1.0 clean
	$(MAKE) -C appbar-1.0 clean
	$(MAKE) -C setrootimage-1.0 clean
	$(MAKE) -C xsession clean
	
	rm -f README.aewm++_fspanel Changelog.aewm++_fspanel
	rm -f README.aewm++_appbar Changelog.aewm++_appbar
	rm -f README.aewm++_setrootimage Changelog.aewm++_setrootimage
	rm -f README.aewm++_xsession

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs usr/bin usr/share/doc/aewm++-goodies

	# install the arch part of the package into debian/tmp.
	$(MAKE) -C ae_fspanel-1.0 install \
		DESTDIR=$(CURDIR)/debian/aewm++-goodies
	$(MAKE) -C appbar-1.0 install \
		DESTDIR=$(CURDIR)/debian/aewm++-goodies
	$(MAKE) -C setrootimage-1.0 install \
		DESTDIR=$(CURDIR)/debian/aewm++-goodies
	$(MAKE) -C xsession install \
		DESTDIR=$(CURDIR)/debian/aewm++-goodies IFLAGS=$(IFLAGS)

	dh_install

binary-indep: build install
	# Nothing to do.

# Build architecture-dependent files
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs \
		README.aewm++_fspanel \
		README.aewm++_appbar \
		README.aewm++_setrootimage \
		README.aewm++_xsession
	dh_installchangelogs
	# dh_installchangelogs can't do multiple changelogs
	install -m 644 \
		Changelog.aewm++_fspanel \
		Changelog.aewm++_appbar \
		Changelog.aewm++_setrootimage \
		$(CURDIR)/debian/aewm++-goodies/usr/share/doc/aewm++-goodies
	gzip -9n $(CURDIR)/debian/aewm++-goodies/usr/share/doc/aewm++-goodies/Changelog.aewm++_fspanel
	gzip -9n $(CURDIR)/debian/aewm++-goodies/usr/share/doc/aewm++-goodies/Changelog.aewm++_appbar
	gzip -9n $(CURDIR)/debian/aewm++-goodies/usr/share/doc/aewm++-goodies/Changelog.aewm++_setrootimage
	dh_installexamples \
		appbar-1.0/appbar.rc
	dh_installmenu
	dh_installman \
		debian/aewm++_fspanel.1 \
		debian/aewm++_appbar.1 \
		debian/aewm++_setrootimage.1 \
		debian/aewm++_xsession.1
	dh_lintian
	dh_link
	dh_strip  # respects DEB_BUILD_OPTIONS "nostrip"
	dh_compress 
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## aewm++-goodies 1.0-10

=== ae_fspanel-1.0/Makefile ===
CC = gcc
prefix=/usr
C_FLAGS = -DNOSTDLIB -DHAVE_XPM -Wall -I/usr/X11R6/include -m386 -malign-loops=2 -malign-jumps=2 -malign-functions=2
L_FLAGS = -O1 -Xlinker -s -L/usr/X11R6/lib -lX11 -lXpm
LDLIBS=-lX11 -lXpm
PROGNAME = aewm++_fspanel

$(PROGNAME): Makefile ae_fspanel.c ae_fspanel.h icon.xpm
	$(CC) $(C_FLAGS) $(CFLAGS) $(L_FLAGS) $(LDFLAGS) ae_fspanel.c $(LDLIBS) -o $(PROGNAME)
	@ls -l $(PROGNAME)

clean: 
	rm -f core *.o $(PROGNAME) nohup.out

install: $(PROGNAME)
	cp -r $(PROGNAME) $(DESTDIR)$(prefix)/bin

=== setrootimage-1.0/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 LIBS      = -lX11 -lXext
 LDPATH    = -L/usr/X11R6/lib
 
-PROG      = setrootimage
+PROG      = aewm++_setrootimage
 #DEFINES   = -DDEBUG
 
 OBJS      = setrootimage.o linkedlist.o image.o
@@ -19,7 +19,7 @@
 	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -c $< -o $@
 
 install: all
-	install -s $(PROG) $(DESTDIR)$(prefix)/bin
+	install $(PROG) $(DESTDIR)$(prefix)/bin
 
 clean:
 	rm -f $(PROG) $(OBJS) core

=== xsession/Makefile ===
CC        = gcc
CFLAGS    = -g -O2 -Wall
IFLAGS    = 

PROG      = aewm++_xsession
PREFIX    = /usr

$(PROG): xsession.c
	$(CC) xsession.c -o $@

install: $(PROG)
	install -D $(IFLAGS) $(PROG) $(DESTDIR)$(PREFIX)/bin/$(PROG)
	
uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/$(PROG)

clean:
	rm -f $(PROG) core

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 #export DH_VERBOSE=1
 
 CFLAGS = -Wall -Wno-deprecated -g
-
-# Avoid embedding build path for reproducible builds
-CFLAGS += -ffile-prefix-map=$(CURDIR)=.
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -37,7 +34,7 @@
 	dh_testdir
 	
 	# Add here commands to compile the arch part of the package.
-	$(MAKE) -C ae_fspanel-1.0 CFLAGS="$(CFLAGS)" C_FLAGS="-DNOSTDLIB -DHAVE_XPM -Wall -I/usr/X11R6/include" LDFLAGS="$(LDFLAGS)" L_FLAGS="-Xlinker -L/usr/X11R6/lib"
+	$(MAKE) -C ae_fspanel-1.0 CFLAGS="$(CFLAGS)" C_FLAGS="-DNOSTDLIB -DHAVE_XPM -Wall -I/usr/X11R6/include" LDFLAGS="$(LDFLAGS)" L_FLAGS="-Xlinker -L/usr/X11R6/lib -lX11 -lXpm"
 	$(MAKE) -C appbar-1.0 $(COMPILER_FLAGS)
 	$(MAKE) -C setrootimage-1.0 $(COMPILER_FLAGS)
 	$(MAKE) -C xsession $(COMPILER_FLAGS)

## aewm++-goodies 1.0-10build1

=== debian/changelog ===
aewm++-goodies (1.0-10build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:32:33 +0100
